[SCM] BOINC packaging branch, master, updated. debian/6.10.17+dfsg-3-330-g7ce655c

Steffen Moeller moeller at debian.org
Tue Nov 15 21:10:00 UTC 2011


The following commit has been merged in the master branch:
commit 26b42f791f933e6e78a81fcc11751809e08bdc02
Author: Steffen Moeller <moeller at debian.org>
Date:   Mon Oct 31 21:01:25 2011 +0100

    Updates for 6.13.10

diff --git a/debian/boinc-client.init b/debian/boinc-client.init
index 047bb97..e28afd7 100644
--- a/debian/boinc-client.init
+++ b/debian/boinc-client.init
@@ -179,7 +179,11 @@ schedule()
       log_progress_msg "chrt failed"
     fi
     for BPID in ${pid} ${children}; do
-      echo ${BOINC_OOM_AD} > /proc/${BPID}/oom_adj 2>/dev/null || true
+      if [ -w /proc/${BPID}/oom_adj ]; then
+        echo ${BOINC_OOM_AD} > /proc/${BPID}/oom_adj 2>/dev/null || true
+      else
+        echo "Could not write to /proc/${BPID}/oom_adj"
+      fi
     done
   fi
   log_end_msg 0
@@ -203,7 +207,29 @@ status()
       fi
     fi
     log_success_msg "OOM killer status for $DESC:"
-    for BPID in ${pid} ${children}; do echo PID ${BPID}: adj `cat /proc/${BPID}/oom_adj`, score `cat /proc/${BPID}/oom_score`; done
+    for BPID in ${pid} ${children}; do
+      echo -n "PID ${BPID}: "
+      if [ ! -d "/proc/${BPID}" ]; then
+        echo "/proc/${BPID} not found"
+        continue
+      fi
+
+      echo -n "adj "
+      if [  -r "/proc/${BPID}/oom_adj" ]; then
+        cat /proc/${BPID}/oom_adj
+      else 
+        echo "?"
+      fi
+      echo ", score "
+
+      if [  -r "/proc/${BPID}/oom_adj" ]; then
+        cat /proc/${BPID}/oom_score
+      else
+        echo -n "?"
+      fi
+
+      echo
+    done
 
     # Display $BOINC_USER's cpu_share:
     uid=`id -u $BOINC_USER`
diff --git a/debian/changelog b/debian/changelog
index 8fb5ee7..25e8ea4 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,9 @@
+boinc (6.13.10+dfsg-1) unstable; urgency=low
+
+  * New upstream version.
+
+ -- Steffen Moeller <moeller at debian.org>  Sun, 30 Oct 2011 00:32:49 +0200
+
 boinc (6.13.6+dfsg-2) unstable; urgency=low
 
   * Fixing FTBFS (Closes: #644796).
diff --git a/debian/patches/libnotify-0.7.patch b/debian/patches/libnotify-0.7.patch
index 03ef3a9..ddb2056 100644
--- a/debian/patches/libnotify-0.7.patch
+++ b/debian/patches/libnotify-0.7.patch
@@ -52,21 +52,3 @@ Index: boinc/configure.ac
  
  if test "${enable_client_release}" = "yes" ; then
     if test "x${WX_LIBS_STATIC}" = "x" ; then
-Index: boinc/clientgui/gtk/taskbarex.cpp
-===================================================================
---- boinc.orig/clientgui/gtk/taskbarex.cpp	2011-03-17 18:51:03.000000000 +0100
-+++ boinc/clientgui/gtk/taskbarex.cpp	2011-08-08 01:44:54.000000000 +0200
-@@ -227,11 +227,10 @@
-     if (!g_pNotification)
-     {
-         g_pNotification = 
--            notify_notification_new_with_status_icon(
-+            notify_notification_new(
-                 title.mb_str(),
-                 message.mb_str(),
--                desired_icon,
--                g_pStatusIcon
-+                desired_icon
-         );
- 
-         g_signal_connect(
diff --git a/debian/patches/possible_size_type_error.patch b/debian/patches/possible_size_type_error.patch
index 2f0e096..6635243 100644
--- a/debian/patches/possible_size_type_error.patch
+++ b/debian/patches/possible_size_type_error.patch
@@ -1,8 +1,8 @@
 Index: boinc/sched/file_upload_handler.cpp
 ===================================================================
---- boinc.orig/sched/file_upload_handler.cpp	2011-10-08 14:32:58.000000000 +0200
-+++ boinc/sched/file_upload_handler.cpp	2011-10-08 14:33:04.000000000 +0200
-@@ -169,17 +169,17 @@
+--- boinc.orig/sched/file_upload_handler.cpp	2011-10-30 00:29:08.000000000 +0200
++++ boinc/sched/file_upload_handler.cpp	2011-10-30 00:29:10.000000000 +0200
+@@ -173,17 +173,17 @@
  
      while (bytes_left > 0) {
  
@@ -23,7 +23,7 @@ Index: boinc/sched/file_upload_handler.cpp
          while (to_write > 0) {
              ssize_t ret = write(fd, buf+n-to_write, to_write);
              if (ret < 0) {
-@@ -233,7 +233,7 @@
+@@ -237,7 +237,7 @@
      unsigned char buf[BLOCK_SIZE];
  
      while (1) {
diff --git a/debian/patches/series b/debian/patches/series
index 0bb6b52..1d303cb 100644
--- a/debian/patches/series
+++ b/debian/patches/series
@@ -2,7 +2,7 @@ stripchart_debian.patch
 upstream_sztaki_configureEval.patch
 generate_less.patch
 texfont_removal.patch
-Makefile_subdirs.patch
+#Makefile_subdirs.patch
 csh2tcsh.patch
 file_upload_handler_permission.patch
 possible_size_type_error.patch

-- 
BOINC packaging



More information about the pkg-boinc-commits mailing list